## org.apache.batik.bridge
Interface UserAgent

All Known Implementing Classes:
  JSVGComponent.BridgeUserAgent, JSVGComponent.BridgeUserAgentWrapper, UserAgentAdapter

public interface UserAgent

An interface that provides access to the User Agent informations needed by the bridge.

Method Summary
`void` `checkLoadExternalResource(ParsedURL resourceURL, ParsedURL docURL)` This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded.
`void` `checkLoadScript(java.lang.String scriptType, ParsedURL scriptURL, ParsedURL docURL)` This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded.
`void` `displayError(java.lang.Exception ex)` Displays an error resulting from the specified Exception.
`void` `displayMessage(java.lang.String message)` Displays a message in the User Agent interface.
`java.lang.String` `getAlternateStyleSheet()` Returns this user agent's alternate style-sheet title.
`float` `getBolderFontWeight(float f)` Returns a bolder font-weight.
`java.awt.Point` `getClientAreaLocationOnScreen()` Returns the location on the screen of the client area in the UserAgent.
`java.lang.String` `getDefaultFontFamily()` Returns the default font family.
`EventDispatcher` `getEventDispatcher()` Returns the event dispatcher to use.
`ExternalResourceSecurity` `getExternalResourceSecurity(ParsedURL resourceURL, ParsedURL docURL)` Returns the security settings for the given resource url and document url
`java.lang.String` `getLanguages()` Returns the language settings.
`float` `getLighterFontWeight(float f)` Returns a lighter font-weight.
`java.lang.String` `getMedia()` Returns this user agent's CSS media.
`float` `getMediumFontSize()` Returns the medium font size.
`float` `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`ScriptSecurity` `getScriptSecurity(java.lang.String scriptType, ParsedURL scriptURL, ParsedURL docURL)` Returns the security settings for the given script type, script url and document url
`java.awt.geom.AffineTransform` `getTransform()` Returns the `AffineTransform` currently applied to the drawing by the UserAgent.
`java.lang.String` `getUserStyleSheetURI()` Returns the user stylesheet uri.
`java.awt.geom.Dimension2D` `getViewportSize()` Returns the default size of the viewport.
`java.lang.String` `getXMLParserClassName()` Returns the class name of the XML parser.
`void` `handleElement(org.w3c.dom.Element elt, java.lang.Object data)` Notifies the UserAgent that the input element has been found in the document.
`boolean` `hasFeature(java.lang.String s)` Tells whether the given feature is supported by this user agent.
`boolean` `isXMLParserValidating()` Returns true if the XML parser must be in validation mode, false otherwise.
`void` `openLink(SVGAElement elt)` Opens a link.
`void` `registerExtension(BridgeExtension ext)` Lets the bridge tell the user agent that the following extension is supported by the bridge.
`void` `setSVGCursor(java.awt.Cursor cursor)` Informs the user agent to change the cursor.
`void` `setTextSelection(Mark start, Mark end)` Informs the user agent that the text selection has changed.
`void` `setTransform(java.awt.geom.AffineTransform at)` Sets the `AffineTransform` currently applied to the drawing by the UserAgent.
`void` `showAlert(java.lang.String message)` Shows an alert dialog box.
`boolean` `showConfirm(java.lang.String message)` Shows a confirm dialog box.
`java.lang.String` `showPrompt(java.lang.String message)` Shows a prompt dialog box.
`java.lang.String` `showPrompt(java.lang.String message, java.lang.String defaultValue)` Shows a prompt dialog box.
`boolean` `supportExtension(java.lang.String s)` Tells whether the given extension is supported by this user agent.

Method Detail

### getEventDispatcher

    public EventDispatcher getEventDispatcher()

  Returns the event dispatcher to use.

### getViewportSize

    public java.awt.geom.Dimension2D getViewportSize()

  Returns the default size of the viewport.

### displayError

    public void displayError(java.lang.Exception ex)

  Displays an error resulting from the specified Exception.

### displayMessage

    public void displayMessage(java.lang.String message)

  Displays a message in the User Agent interface.

### showAlert

    public void showAlert(java.lang.String message)

  Shows an alert dialog box.

### showPrompt

    public java.lang.String showPrompt(java.lang.String message)

  Shows a prompt dialog box.

### showPrompt

    public java.lang.String showPrompt(java.lang.String message,
                                       java.lang.String defaultValue)

  Shows a prompt dialog box.

### showConfirm

    public boolean showConfirm(java.lang.String message)

  Shows a confirm dialog box.

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMM

    public float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getMediumFontSize

    public float getMediumFontSize()

  Returns the medium font size.

### getLighterFontWeight

    public float getLighterFontWeight(float f)

  Returns a lighter font-weight.

### getBolderFontWeight

    public float getBolderFontWeight(float f)

  Returns a bolder font-weight.

### getDefaultFontFamily

    public java.lang.String getDefaultFontFamily()

  Returns the default font family.

### getLanguages

    public java.lang.String getLanguages()

  Returns the language settings.

### getUserStyleSheetURI

    public java.lang.String getUserStyleSheetURI()

  Returns the user stylesheet uri.

  Returns:
    null if no user style sheet was specified.

### openLink

    public void openLink(SVGAElement elt)

  Opens a link.

  Parameters:
    `elt` - The activated link element.

### setSVGCursor

    public void setSVGCursor(java.awt.Cursor cursor)

  Informs the user agent to change the cursor.

  Parameters:
    `cursor` - the new cursor

### setTextSelection

    public void setTextSelection(Mark start,
                                 Mark end)

  Informs the user agent that the text selection has changed.

  Parameters:
    `start` - The Mark for the start of the selection.
    `end` - The Mark for the end of the selection.

### getXMLParserClassName

    public java.lang.String getXMLParserClassName()

  Returns the class name of the XML parser.

### isXMLParserValidating

    public boolean isXMLParserValidating()

  Returns true if the XML parser must be in validation mode, false otherwise.

### getTransform

    public java.awt.geom.AffineTransform getTransform()

  Returns the `AffineTransform` currently applied to the drawing by the UserAgent.

### setTransform

    public void setTransform(java.awt.geom.AffineTransform at)

  Sets the `AffineTransform` currently applied to the drawing by the UserAgent.

### getMedia

    public java.lang.String getMedia()

  Returns this user agent's CSS media.

### getAlternateStyleSheet

    public java.lang.String getAlternateStyleSheet()

  Returns this user agent's alternate style-sheet title.

### getClientAreaLocationOnScreen

    public java.awt.Point getClientAreaLocationOnScreen()

  Returns the location on the screen of the client area in the UserAgent.

### hasFeature

    public boolean hasFeature(java.lang.String s)

  Tells whether the given feature is supported by this user agent.

### supportExtension

    public boolean supportExtension(java.lang.String s)

  Tells whether the given extension is supported by this user agent.

### registerExtension

    public void registerExtension(BridgeExtension ext)

  Lets the bridge tell the user agent that the following extension is supported by the bridge.

### handleElement

    public void handleElement(org.w3c.dom.Element elt,
                              java.lang.Object data)

  Notifies the UserAgent that the input element has been found in the document. This is sometimes called, for example, to handle <a> or <title> elements in a UserAgent-dependant way.

### getScriptSecurity

    public ScriptSecurity getScriptSecurity(java.lang.String scriptType,
                                            ParsedURL scriptURL,
                                            ParsedURL docURL)

  Returns the security settings for the given script type, script url and document url

  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the script was found.

### checkLoadScript

    public void checkLoadScript(java.lang.String scriptType,
                                ParsedURL scriptURL,
                                ParsedURL docURL)
                         throws java.lang.SecurityException

  This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadScript on the ScriptSecurity strategy returned by getScriptSecurity.

  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the script was found.
  Throws:
    `java.lang.SecurityException`

### getExternalResourceSecurity

    public ExternalResourceSecurity getExternalResourceSecurity(ParsedURL resourceURL,
                                                                ParsedURL docURL)

  Returns the security settings for the given resource url and document url

  Parameters:
    `resourceURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the resource was found.

### checkLoadExternalResource

    public void checkLoadExternalResource(ParsedURL resourceURL,
                                          ParsedURL docURL)
                                   throws java.lang.SecurityException

  This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadExternalResource on the ExternalResourceSecurity strategy returned by getExternalResourceSecurity.

  Parameters:
    `docURL` - url for the document into which the script was found.
  Throws:
    `java.lang.SecurityException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.